Bug 8322 - No switch to suppress resolv.conf update
No switch to suppress resolv.conf update
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-10 03:38 EST by Stephen Satchell
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-23 15:56:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Satchell 2000-01-10 03:38:08 EST
When running a local DNS server, there is no way to tell "pump" to stop changing the file /etc/resolv.conf.  The modification of /etc/resolv.conf undoes local DNS lookups by forcing all lookups to be done at the nameserver(s) mentioned in the DHCP packet instead of the local DNS nameserver.  This means that all machines inside a NAT environment become unaddressable when "named" is running on the same computer as "pump".

The proper fix is to add a switch to "pump" to tell it to leave /etc/resolv.conf alone.  Control of this switch may need to be added to "linuxconf" so that a user that wants to have a "named" running that serves as a zone primary will function properly.

This breaks lookups in the local network in a NAT environment.  It also causes "sendmail" some heartburn.
Comment 1 Erik Troan 2000-02-23 15:56:59 EST
pump 0.7.8 lets you specify "nodns" to get this behavior

Note You need to log in before you can comment on or make changes to this bug.